Bug 689208 - yum --disablerepo does not work
Summary: yum --disablerepo does not work
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 14
Hardware: i386 Linux
unspecified
high
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-20 11:19 UTC by Jason M. Christos
Modified: 2014-01-21 23:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-21 19:05:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason M. Christos 2011-03-20 11:19:04 UTC
Description of problem:
Trying to do: yum --disablerepo=livna , and it keeps displaying the help file instead

Version-Release number of selected component (if applicable): 13


How reproducible: type "yum --disablerepo=livna"


Steps to Reproduce:
1.try to disable any repo using "yum --disablerepo=REPOHERE"
2.
3.
  
Actual results:
displays help file


Expected results:
zeros out enable value in repo config file


Additional info:

i even tried to add a command to follow syntax like yum --disablerepo=livna version

Comment 1 James Antill 2011-03-21 19:05:01 UTC
 That isn't a permanent option, it's so you can do things like:

yum --disablerepo=livna check-update

...if you want to change the config. you can do:

yum-config-manager --disable livna


Note You need to log in before you can comment on or make changes to this bug.